#
# uxyz10.rb
#
# $Id: uxyz10.rb,v 1.1 2000/11/23 08:19:17 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


id0 = 19811201
nd = 180
RND = nd

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

uzfact(0.7)
uzlset('LOFFSET', true)

grfrm

sgswnd(0.0, RND, 0.0, 100.0)
sgsvpt(0.4, 0.9, 0.3, 0.8)
sgstrn(1)
sgstrf

slpvpr(1)

ucxacl('B', id0, nd)
uxsaxs('B')
uxaxdv('B', 10.0, 20.0)
uxsttl('B', 'DAY NUMBER', 0.0)
ucxacl('T', id0, nd)

uyaxdv('L', 5.0, 10.0)
uyaxdv('R', 5.0, 10.0)
uysttl('L', 'CELSIUS SCALE', 0.0)
uysaxs('L')
uzrset('YOFFSET', 273.15)
uzrset('YFACT  ', 1.0)
uyaxdv('L', 5.0, 10.0)
uysttl('L', 'KELVIN SCALE', 0.0)
uysaxs('L')
uzrset('YOFFSET', 32.0)
uzrset('YFACT  ', 1.8)
uyaxdv('L', 10.0, 20.0)
uysttl('L', 'FAHRENHEIT SCALE', 0.0)

uxsttl('T', '( LOFSET=.TRUE. )', 0.0)
uxsttl('T', 'UXSAXS/UYSAXS', 0.0)

grcls

