#
# uspk03.rb
#
# $Id: uspk03.rb,v 1.1 2000/11/22 14:36:02 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


n = 30
y = NArray.sfloat(n)

#---------------------------- DATA DEFINITION --------------------------
r = 0.2
a = 3.7
for i in 0..n-1
  r = a*r*(1.0-r)
  y[i] = r
end

#----------------------------- GRAPH -----------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
rundef = glrget('RUNDEF')
gropn iws

grfrm
grswnd(0.0, 1.0, rundef, rundef)

usgrph(rundef, y)

grcls

#-----------------------------------------------------------------------

