#
# uupk04.rb
#
# $Id: uupk04.rb,v 1.1 2000/11/23 08:19:15 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


n = 20
m = 5
y1 = NArray.sfloat(n)
y2 = NArray.sfloat(n)
a = NArray.sfloat(m)
rundef = glrget('RUNDEF')

#-----------------------------------------------------------------------
dt = 1.0/(n-1)
for j in 0..m-1
  jj = j*2+1
  a[j] = (-1.0)**(j+1) *2.0/(jj*PI)
end

for i in 0..n-1
  t = dt*i*2*PI
  y1[i] = a[0]*cos(t)
  y2[i] = 0.0
  for j in 0..m-1
    jj = j*2+1
    yy = a[j]*cos(jj*t)
    y2[i]  = y2[i] + yy
  end

end

#-----------------------------------------------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm
sglset('LCLIP', true)

usspnt(rundef, y1)
usspnt(rundef, y2)
grswnd(0.0, 1.0, rundef, rundef)
uspfit
grstrf

usdaxs

uusarp(2999, 3999)
uvbra(rundef, y1, y2)
uvbrf(rundef, y1, y2)

uuslni(41)
uvbrl(rundef, y1)
uuslnt(3)
uvbrl(rundef, y2)

grfrm

usspnt(y1, rundef)
usspnt(y1, rundef)
grswnd(rundef, rundef, 0.0, 1.0)
uspfit
grstrf

usdaxs

uusarp(2999, 3999)
uhbra(y1, y2, rundef)
uhbrf(y1, y2, rundef)

uuslni(41)
uhbrl(y1, rundef)
uuslnt(3)
uhbrl(y2, rundef)

grcls

